class DialogFlowAccessor {
  constructor(awsLambdaCaller) {
    this.awsLambdaCaller = awsLambdaCaller;
  }

  resolveText(request) {
    return new Promise(resolve => {
      const executor = async () => {
        let intent = null;
        try {
          // Dialogflow
          intent = await this.awsLambdaCaller.call(request, 'asksuite-NLP-dev-dialogFlowNLP');
        } catch (e) {
          intent = e;
          console.log('Erro no dialogflow ', e);
        }
        resolve(intent);
      };

      executor();
    });
  }
}

module.exports = DialogFlowAccessor;
