class QuoteDataAccessor {
  constructor(awsLambdaCaller) {
    this.awsLambdaCaller = awsLambdaCaller;
  }

  async resolveText(request) {
    let intent = null;
    try {
      // QuoteData
      intent = await this.awsLambdaCaller.call(request, 'asksuite-NLP-dev-quoteDataNLP');
    } catch (e) {
      // intent = e;
      console.log('Erro ao extrair dados ', e);
    }
    return intent;
  }

  async resolveTextNumbers(request) {
    let intent = null;
    try {
      // QuoteData
      intent = await this.awsLambdaCaller.call(request, 'asksuite-NLP-dev-extractNumbersNLP');
    } catch (e) {
      // intent = e;
      console.log('Erro ao extrair números ', e);
    }
    return intent;
  }
}

module.exports = QuoteDataAccessor;
